"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.suppressRemainingTypeIssues = void 0;
const ts = __importStar(require("typescript"));
const diagnostics_1 = require("../../../shared/diagnostics");
const suppressRemainingTypeIssues = (request) => {
    if (!request.options.cleanups.suppressTypeErrors) {
        return undefined;
    }
    const allDiagnostics = request.services.program.getSemanticDiagnostics(request.sourceFile).filter(diagnostics_1.isDiagnosticWithStart);
    if (!allDiagnostics.length) {
        return undefined;
    }
    const diagnosticsPerLine = new Map();
    for (const diagnostic of allDiagnostics) {
        const line = diagnostics_1.getLineForDiagnostic(diagnostic, request.sourceFile);
        const existing = diagnosticsPerLine.get(line);
        if (existing) {
            existing.push(diagnostic);
        }
        else {
            diagnosticsPerLine.set(line, [diagnostic]);
        }
    }
    return Array.from(diagnosticsPerLine).map(([line, diagnostics]) => {
        const messages = diagnostics.map(diagnostics_1.stringifyDiagnosticMessageText).join(" ");
        return {
            insertion: `// @ts-expect-error -- TODO: ${messages}\n`,
            range: {
                begin: ts.getPositionOfLineAndCharacter(request.sourceFile, line, 0),
            },
            type: "text-insert",
        };
    });
};
exports.suppressRemainingTypeIssues = suppressRemainingTypeIssues;
//# sourceMappingURL=index.js.map